summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorStef Walter <stefw@collabora.co.uk>2011-01-20 13:36:33 -0600
committerStef Walter <stefw@collabora.co.uk>2011-01-21 14:48:43 -0600
commita50ba779ff3e0a5d4f35fb2b6ab525a423575cc4 (patch)
tree0ba036aa541c3a243effbb50e7ff79c89bf4709f /autogen.sh
Initial implementation of p11-unity
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..2c35908
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+
+set -e
+
+# Some boiler plate to get git setup as expected
+if test -d .git; then
+ if test -f .git/hooks/pre-commit.sample && \
+ test ! -f .git/hooks/pre-commit; then
+ cp -pv .git/hooks/pre-commit.sample .git/hooks/pre-commit
+ fi
+fi
+
+set -x
+
+aclocal
+libtoolize
+autoheader
+automake -a
+autoconf
+./configure "$@"
+